1 Reply Latest reply on Apr 13, 2020 7:17 PM by kama_1693131
      • 1. Re: Community Translation - Prerequisite Software Setup for Getting Started with CYBLE-416045-02 EZ-BLE Module in PSoC Creator – KBA224892
        kama_1693131

        ===========

        Community Translated by https://community.cypress.com/people/kama_1693131                     

        Version **

         

        タイトル:

        PSoC® Creator™でCYBLE-416045-02 EZ-BLE Creator Moduleを使用する際のソフトウェアセットアップの前提条件について

         

        問題:

        PSoC® Creator™でCYBLE-416045-02 EZ-BLE Creator Moduleを使用して開発を開始する際に前提条件はありますか?

         

        回答:

        CYBLE-416045-02 EZ-BLEモジュールは完全に統合されBluetooth Low Energy無線モジュールとして認証されたものです。

        以下の手順に沿って進めることでPSoC Creatorを使用しCYBLE-416045-02 EZ-BLE Creator Moduleの開発を開始できます。

         

        1. PSoC Creator 4.2 (cypress.com/products/psoc-creator-integrated-design-environment-ide)のインストール:すでにPSoC Creator 4.2をインストールしている場合には省略できます。
        2. PSoCProgrammerSetup_3.27.3.exe (http://www.cypress.com/products/psoc-programming-solutions)のインストール
        3. PDL 3.0.4  (http://www.cypress.com/documentation/software-and-drivers/peripheral-driver-library-pdl)のインストール
        4. Device pack updateのインストール. PSoC Creator内で,Tools > Find New devices を選択しアップデートを進めます。
               “No new devices are available” のメッセージが新しいウインドウでポップアップされた場合にはすでにご使用のdevice packはアップデート済みです。
        5. PSoC Creatorを再起動します。
        6. Tools > Optionsを選択します。
        7. PDL 3.0.4を選択し、Project Managementフォルダ以下の PDL v3 (PSoC6 devices) locationを以下のよう設定します
            1.png
        8. 新規プロジェクトをCYBLE-416045-02と作成し, アプリケーションのビルド、ダウンロード、テストを行います。
        9. もしすでにプロジェクトがありターゲットをCYBLE-416045-02として設定しなおす場合には、そのプロジェクトで新たな部品番号を選択した後にPDLのバージョンを設定します。
          Project > Build Settings… > Peripheral Driver Library を選択し、以下に示すようにCustom:のフィールドにPDL 3.0.4の適切なパスを指定します。
          2.png

         

        ==========

        Regards,

        Matayoshi